org.apache.lucene.analysis.hunspell

## Enum TimeoutPolicy

- java.lang.Object
- - java.lang.Enum<TimeoutPolicy>
  - - org.apache.lucene.analysis.hunspell.TimeoutPolicy

All Implemented Interfaces:
  Serializable, Comparable<TimeoutPolicy>

    public enum TimeoutPolicy
    extends Enum<TimeoutPolicy>

A strategy determining what to do when Hunspell API calls take too much time

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NO_TIMEOUT` Let the computation complete even if it takes ages
`RETURN_PARTIAL_RESULT` Just stop the calculation and return whatever has been computed so far
`THROW_EXCEPTION` Throw an exception (e.g.

### Method Summary

All Methods Static Methods Concrete Methods
`static TimeoutPolicy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TimeoutPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NO_TIMEOUT

    public static final TimeoutPolicy NO_TIMEOUT

Let the computation complete even if it takes ages

#### RETURN_PARTIAL_RESULT

    public static final TimeoutPolicy RETURN_PARTIAL_RESULT

Just stop the calculation and return whatever has been computed so far

#### THROW_EXCEPTION

    public static final TimeoutPolicy THROW_EXCEPTION

Throw an exception (e.g. `SuggestionTimeoutException`) to make it more clear to the caller that the timeout happened and the returned results might not be reliable or reproducible.

### Method Detail

#### values

    public static TimeoutPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TimeoutPolicy c : TimeoutPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TimeoutPolicy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null